Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class TerminatedException.TimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.xquery.XPathException
                  org.exist.xquery.TerminatedException
                      org.exist.xquery.TerminatedException.TimeoutException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TerminatedException

public static final class TerminatedException.TimeoutException
extends TerminatedException

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.exist.xquery.TerminatedException
`TerminatedException.SizeLimitException, TerminatedException.TimeoutException`

Constructor Summary
`TerminatedException.TimeoutException(XQueryAST ast, java.lang.String message)`

Methods inherited from class org.exist.xquery.XPathException
`addFunctionCall, getColumn, getDetailMessage, getLine, getMessage, getMessageAsHTML, prependMessage, setASTNode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminatedException.TimeoutException

    public TerminatedException.TimeoutException(XQueryAST ast,
                                                java.lang.String message)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.